[P062]Receive Image Batch Search Result

post
https://connect.patsnap.com/search/patent/image-search/single-batch-result
Try in Sandbox

Retrieve the search results by querying the job_i returned by the interface for generating image batch retrieval tasks based on [P062].

Note: 1. Supports commonly used image formats (jpg, png), with files smaller than 4M. The obtained similar image path is valid for 9 hours (32400 seconds) and will be cleared after expiration; 2. Each image supports a maximum of 100 similar patent results, and supports setting a limit to limit the number of returns; 3. Support passing a similarity threshold and returning a list of similar patents with a similarity greater than the threshold. If a limit is set at the same time, take the minimum value of both and return the number of patents; 4. Billing rules: If the billing is found, the result will be returned based on the last successful image; Unit price * query image URL quantity (total search result count) 5. If you need to use local image retrieval, you can first call the [P010] Patent Image Similarity Retrieval] interface to upload images and obtain URLs that can be accessed on the public network 6. Asynchronous interface, image retrieval tasks are executed daily from 22:00 to 08:00;

Request Parameters

List of parameters supported by this API endpoint

NameTypeExampleDescription
task_id
Required
string264de8bf7e294505a9a000597e25d615
Task ID

Response Schema

Structure of the API response data

Field NameTypeExampleDescription
data
object-
response data
status
stringsuccess
Node status, such as success indicating successful generation
search_result
arrayPlease check the form: MoreImageSearchResult
search results
status
stringsuccess
action status
search_url
stringhttps://static-open.zhihuiya.com/sample/common_demo.png
url
result_count
integer<int32>100
number of search results
patent_messages
arrayPlease check the form: PatentMessage
similar patent information
url
Required
stringhttp://patsnap-imagefulltext240.cdn.zhihuiya.com/EU/S/00/47/44/21/70/00/9/004744217_0009_0002.png?X-Amz-Algorithm=AWS4-HMAC-SHA256&X-Amz-Date=20240311T111032Z&X-Amz-SignedHeaders=host&X-Amz-Expires=604800&X-Amz-Credential=AKIAPEVKZSEKLAJCRYAA%2F20240311%2Fcn-northwest-1%2Fs3%2Faws4_request&X-Amz-Signature=017c433982a4c397014bb96c92f320c7da2248a9d6b2ce6352f6adbffc4b0d99
similar image url
apdt
integer<int64>20190528
Application Date
apno
stringEU006535076
Application Number
pbdt
integer<int64>20190528
Publication Date
score
number0.8884816
similar score (Valid only when sorted by similarity, that is, the request parameter field is SCORE)
title
Required
stringMobile phones
patent title
img_id
Required
stringHDA0001130916580000011
similar image id
inventor
stringELSHAFIE, AHMED|YANG, WEI|HOSSEINI, SEYEDKIANOUSH
Inventor
loc_match
integer<int32>1
Whether a similar patent hits a high-weight LOC (Valid only when request parameter model is 1 and field is SCORE) 1: hits 0: misses
patent_id
Required
string6e433449-143b-41d9-9abf-6c6519b07779
similar patent ID
patent_pn
Required
stringEU0065350760001S
similar patent number
current_assignee
stringHUAWEI TECHNOLOGIES CO., LTD.
Current Assignee
original_assignee
stringHUAWEI TECHNOLOGIES CO., LTD.
Original Assignee (Applicant)
total_search_result_count
integer<int64>100
number of search results
status
Required
booleanfalse
Status
error_msg
stringThe request parameter format is incorrect!
Error Message
error_code
Required
integer0
Error Code

Success Response Example

Example of a successful API response

JSON
{
  "data": {
    "status": "success",
    "search_result": [
      {
        "status": "success",
        "search_url": "https://static-open.zhihuiya.com/sample/common_demo.png",
        "result_count": 100,
        "patent_messages": [
          {
            "url": "http://patsnap-imagefulltext240.cdn.zhihuiya.com/EU/S/00/47/44/21/70/00/9/004744217_0009_0002.png?X-Amz-Algorithm=AWS4-HMAC-SHA256&X-Amz-Date=20240311T111032Z&X-Amz-SignedHeaders=host&X-Amz-Expires=604800&X-Amz-Credential=AKIAPEVKZSEKLAJCRYAA%2F20240311%2Fcn-northwest-1%2Fs3%2Faws4_request&X-Amz-Signature=017c433982a4c397014bb96c92f320c7da2248a9d6b2ce6352f6adbffc4b0d99",
            "apdt": 20190528,
            "apno": "EU006535076",
            "pbdt": 20190528,
            "score": 0.8884816,
            "title": "Mobile phones",
            "img_id": "HDA0001130916580000011",
            "inventor": "ELSHAFIE, AHMED|YANG, WEI|HOSSEINI, SEYEDKIANOUSH",
            "loc_match": 1,
            "patent_id": "6e433449-143b-41d9-9abf-6c6519b07779",
            "patent_pn": "EU0065350760001S",
            "current_assignee": "HUAWEI TECHNOLOGIES CO., LTD.",
            "original_assignee": "HUAWEI TECHNOLOGIES CO., LTD."
          }
        ]
      }
    ],
    "total_search_result_count": 100
  },
  "status": true,
  "error_code": 0
}

Error Codes

List of possible error codes returned by this endpoint

Business Errors

Error CodeDescription
68300004Invalid parameter!
68300005Search api failure!
68300006Analytic basic access error!
68300007Bad request!
68300008Service error, please try again later!
68300010The file does not comply with upload specifications!

Platform Errors

Error CodeDescription
67200000API call exceeds the total limit set by the platform!
67200001API call exceeds the total limit set by the platform!
67200002The current call rate is too fast, exceeding the current configuration limit QPS!
67200003The key and secret parameters for applying for the token are incorrect or the client has been disabled!
67200004The requested api does not have permission. Please contact our support personnel!
67200005Insufficient account balance/number of calls!
67200006The client has exceeded the activation validity period!
67200007The current call exceeds the configured usage limit of the day!
67200008Please check if the required apikey in the query parameter has been transmitted!
67200009The apikey does not match the passed bearerToken. Please check if a valid token is being used!
67200012The request is illegal!
67200100The current server status is busy, request response timeout!
67200101The API requested currently does not exist. Please check the request path!

HTTP Status Codes

Status CodeDescription
0Success
201Created
401Unauthorized
403Forbidden
404Not Found

Performance Metrics

Expected performance characteristics for this endpoint

Normal Response Time

5000 ms

Max Response Time

10000 ms